package com.uca.core;

import com.uca.core.*;
import com.uca.dao.*;
import com.uca.entity.*;
import java.util.*;

public class EleveCore extends _DefaultCore<EleveEntity> {

    public static final EleveCore Instance = new EleveCore();
    private EleveCore()
    {
        super(new EleveDAO());
    }

    public EleveEntity create(String firstName, String lastName, String dateNaissance, String nomDeClasse) {
        EleveEntity entity = new EleveEntity();
        entity.setFirstName(firstName);
        entity.setLastName (lastName);
        entity.setNaissance(dateNaissance);
        entity.setNomClasse(nomDeClasse);
        return dao.create(entity);
    }
}